Update allowlisted issuer display fields
curl --request PATCH \
--url https://api.factioapp.com/issuers/{issuer_id}/self-service \
--header 'Content-Type: application/json' \
--header 'If-Match: <if-match>' \
--data '
{
"notification_email": "<string>",
"nombre_comercial": "<string>",
"legal_representative": "<string>",
"direccion_matriz": "<string>"
}
'import requests
url = "https://api.factioapp.com/issuers/{issuer_id}/self-service"
payload = {
"notification_email": "<string>",
"nombre_comercial": "<string>",
"legal_representative": "<string>",
"direccion_matriz": "<string>"
}
headers = {
"If-Match": "<if-match>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'If-Match': '<if-match>', 'Content-Type': 'application/json'},
body: JSON.stringify({
notification_email: '<string>',
nombre_comercial: '<string>',
legal_representative: '<string>',
direccion_matriz: '<string>'
})
};
fetch('https://api.factioapp.com/issuers/{issuer_id}/self-service', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.factioapp.com/issuers/{issuer_id}/self-service",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'notification_email' => '<string>',
'nombre_comercial' => '<string>',
'legal_representative' => '<string>',
'direccion_matriz' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"If-Match: <if-match>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.factioapp.com/issuers/{issuer_id}/self-service"
payload := strings.NewReader("{\n \"notification_email\": \"<string>\",\n \"nombre_comercial\": \"<string>\",\n \"legal_representative\": \"<string>\",\n \"direccion_matriz\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("If-Match", "<if-match>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.factioapp.com/issuers/{issuer_id}/self-service")
.header("If-Match", "<if-match>")
.header("Content-Type", "application/json")
.body("{\n \"notification_email\": \"<string>\",\n \"nombre_comercial\": \"<string>\",\n \"legal_representative\": \"<string>\",\n \"direccion_matriz\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.factioapp.com/issuers/{issuer_id}/self-service")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["If-Match"] = '<if-match>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"notification_email\": \"<string>\",\n \"nombre_comercial\": \"<string>\",\n \"legal_representative\": \"<string>\",\n \"direccion_matriz\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"created_at": "2024-01-01T00:00:00Z",
"direccion_matriz": "Av. Principal 123 y Secundaria, Quito, Ecuador",
"id": "550e8400-e29b-41d4-a716-446655440000",
"is_active": true,
"legal_representative": "Jane Doe",
"nombre_comercial": "Ejemplo Corp",
"razon_social": "EMPRESA EJEMPLO S.A.",
"ruc": "1234567890001",
"sri_environment": "TEST",
"tenant_id": "660e8400-e29b-41d4-a716-446655440000",
"tipo_contribuyente": "General",
"updated_at": "2024-01-01T00:00:00Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}issuers
Update allowlisted issuer display fields
PATCH
/
issuers
/
{issuer_id}
/
self-service
Update allowlisted issuer display fields
curl --request PATCH \
--url https://api.factioapp.com/issuers/{issuer_id}/self-service \
--header 'Content-Type: application/json' \
--header 'If-Match: <if-match>' \
--data '
{
"notification_email": "<string>",
"nombre_comercial": "<string>",
"legal_representative": "<string>",
"direccion_matriz": "<string>"
}
'import requests
url = "https://api.factioapp.com/issuers/{issuer_id}/self-service"
payload = {
"notification_email": "<string>",
"nombre_comercial": "<string>",
"legal_representative": "<string>",
"direccion_matriz": "<string>"
}
headers = {
"If-Match": "<if-match>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'If-Match': '<if-match>', 'Content-Type': 'application/json'},
body: JSON.stringify({
notification_email: '<string>',
nombre_comercial: '<string>',
legal_representative: '<string>',
direccion_matriz: '<string>'
})
};
fetch('https://api.factioapp.com/issuers/{issuer_id}/self-service', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.factioapp.com/issuers/{issuer_id}/self-service",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'notification_email' => '<string>',
'nombre_comercial' => '<string>',
'legal_representative' => '<string>',
'direccion_matriz' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"If-Match: <if-match>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.factioapp.com/issuers/{issuer_id}/self-service"
payload := strings.NewReader("{\n \"notification_email\": \"<string>\",\n \"nombre_comercial\": \"<string>\",\n \"legal_representative\": \"<string>\",\n \"direccion_matriz\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("If-Match", "<if-match>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.factioapp.com/issuers/{issuer_id}/self-service")
.header("If-Match", "<if-match>")
.header("Content-Type", "application/json")
.body("{\n \"notification_email\": \"<string>\",\n \"nombre_comercial\": \"<string>\",\n \"legal_representative\": \"<string>\",\n \"direccion_matriz\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.factioapp.com/issuers/{issuer_id}/self-service")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["If-Match"] = '<if-match>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"notification_email\": \"<string>\",\n \"nombre_comercial\": \"<string>\",\n \"legal_representative\": \"<string>\",\n \"direccion_matriz\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"created_at": "2024-01-01T00:00:00Z",
"direccion_matriz": "Av. Principal 123 y Secundaria, Quito, Ecuador",
"id": "550e8400-e29b-41d4-a716-446655440000",
"is_active": true,
"legal_representative": "Jane Doe",
"nombre_comercial": "Ejemplo Corp",
"razon_social": "EMPRESA EJEMPLO S.A.",
"ruc": "1234567890001",
"sri_environment": "TEST",
"tenant_id": "660e8400-e29b-41d4-a716-446655440000",
"tipo_contribuyente": "General",
"updated_at": "2024-01-01T00:00:00Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Headers
Path Parameters
Cookies
Body
application/json
Strict allowlist for issuer display corrections.
Response
Successful Response
Schema for Issuer response.
SRI environment types.
Available options:
TEST, PRODUCTION